package com.nisum.splitmerchantpayment.entity;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.*;
import javax.validation.constraints.NotNull;

@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
@Entity
@Table(name = "cart_product")
/**
 * This is Cart-Product class which has
 * all setters and getters
 * constructors
 * toString methods by single lombok annotation
 */
public class CartProduct {
    @Id
    @GeneratedValue(strategy = GenerationType.AUTO)
    @Column(name = "id")
    private Long id;
    @Column(name = "product_id")
    @NotNull
    private String productId;
    @Column(name = "product_name")
    @NotNull
    private String productName;
    @Column(name = "product_brand")
    @NotNull
    private String productBrand;
    @Column(name = "category")
    @NotNull
    private String category;
    @Column(name = "ideal_for")
    @NotNull
    private String idealFor;
    @Column(name = "size")
    @NotNull
    private String size;
    @Column(name = "price")
    @NotNull
    private Double price;
    @Column(name = "quantity")
    @NotNull
    private Integer quantity;
    @Column(name = "customer_phone_number")
    @NotNull
    private String customerPhoneNumber;
}
