package com.nisum.splitmerchantpayment.exception;

import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.ControllerAdvice;
import org.springframework.web.bind.annotation.ExceptionHandler;

/**
 * This class handles all the exceptions raised and returns response entity based on the exception
 */
@ControllerAdvice
public class GlobalExceptionHandler {
    @ExceptionHandler({ProductNotAvailableException.class,
            SizeTypeNotAvailableException.class,
            QuantityNotAvailableException.class,
            CustomerNotFoundException.class,
            InvalidAmountException.class,
            OrderListEmptyException.class,
            OrderNotFoundException.class,
            OrderNotFoundException.class,
            CategoryNotFoundException.class,
            ProductNotAvailableException.class})
    public ResponseEntity<String> handleException(Exception e) {
        return ResponseEntity.status(HttpStatus.NOT_FOUND).body(e.getMessage());
    }
}