package com.nisum.splitmerchantpayment.service;

import com.nisum.splitmerchantpayment.entity.OrderDao;
import com.nisum.splitmerchantpayment.entity.Product;
import com.nisum.splitmerchantpayment.model.ProductDto;

import java.util.List;

public interface AdminService {
    /**
     * This is an abstract method gives the
     * Admin Operations  for adding products and save them
     * @param productDto
     * @return Product
     */
    public Product addProduct(ProductDto productDto);
    /**
     * This abstract method is used to
     * soft-delete the product by its specific id
     * @param productId
     */
    public void deleteProductById(String productId);
    /**
     * This is an abstract method which performs
     * get the product by its id.
     * @param productId
     * @return Product
     */
    public Product getProductById(String productId);
    /**
     * This is an abstract method
     * This method behaviour is to display list of products
     * @return ProductsList
     */
    public List<Product> getAllProducts();
    /**
     * This an abstract method and its
     * behaviour is to give the list of orders which placed by the
     * customers
     * @return OrdersList
     */
    public List<OrderDao> getAllOrders();
    /**
     * This is the abstract method used to
     * update a product by giving the respective Id.
     * @param productId
     * @param productDto
     * @return Product
     */
    public Product updateProductById(String productId, ProductDto productDto);
}
